%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define oname result

Name:           ocaml-%{oname}
Version:        1.3
Release:        %mkrel 10
Summary:        Standard IO library for OCaml
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
Stdio implements simple input/output functionalities for OCaml.

It re-exports the input/output functions of the OCaml standard
libraries using a more consistent API.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune upgrade
dune build @install --profile release

%install
export DESTDIR=%{buildroot}%{_prefix}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/result
mkdir -p %{buildroot}%{_bindir}
dune install --destdir=%{buildroot}

# These files will be installed using the doc and license directives
rm -rf %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc README.md
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.3-10.mga8
+ Revision: 1670296
- Rebuild to generate ocamlx provides

* Fri Aug 21 2020 umeabot <umeabot> 1.3-9.mga8
+ Revision: 1617574
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.3-8.mga8
+ Revision: 1551496
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.3-7.mga8
+ Revision: 1543563
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.3-6.mga8
+ Revision: 1481911
- rebuild for ocaml-4.10
- switch from jbuilder to dune

* Tue Oct 23 2018 tv <tv> 1.3-5.mga7
+ Revision: 1324171
- rebuild with ocaml-4.07.1

* Tue Oct 23 2018 tv <tv> 1.3-4.mga7
+ Revision: 1324167
- rebuild with ocaml-4.07.1

* Tue Oct 23 2018 tv <tv> 1.3-3.mga7
+ Revision: 1324062
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.3-2.mga7
+ Revision: 1323777
- Rebuild for ocaml 4.07

* Wed Aug 29 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1255378
- new version: 1.3
- switch to jbuilder

* Sat Jan 13 2018 pterjan <pterjan> 1.2-1.mga7
+ Revision: 1192901
- imported package ocaml-result

